rbind.popn {secr} | R Documentation

## Combine popn Objects

### Description

Form a single `popn` object from two or more existing `popn` objects, or a list.

### Usage

    ## S3 method for class 'popn'
     rbind(..., renumber = TRUE)

### Arguments

`...` | one or more `popn` objects
`renumber` | logical for whether row names in the new object should be set to the row indices

### Details

An attempt to combine objects will fail if they conflict in their `covariates` attributes.

From secr 3.1 this is an S3 method and list input is not allowed.

### Value

An object of class `popn` with number of rows equal to the sum of the rows in the input objects.

### See Also

`popn`

### Examples

    ## generate and combine two subpopulations
    trapobj <- make.grid()
    p1 <- sim.popn(D = 3, core = trapobj)
    p2 <- sim.popn(D = 2, core = trapobj)
    covariates(p1) <- data.frame(size = rep("small", nrow(p1)))
    covariates(p2) <- data.frame(size = rep("large", nrow(p2)))
    pop <- rbind(p1,p2)

    ## or
    pop <- do.call(rbind, list(p1,p2))

[Package secr version 3.2.1 Index]